alter table store_card
    add deduction_order tinyint(1) default 0 null comment ' 赠送(次数/金额)扣减顺序 0: 最后扣除赠送 1:优先扣除赠送 default:0';

alter table user_return_visit
    add img_urls text null comment '图片地址数组';

alter table user_return_visit
    add visit_scripts text null comment '回访话术数组';

alter table user_return_visit
    add visit_source tinyint(1) default 0 null comment '回访来源 0:旧数据 1:后台 2:教练小程序 default:0';

alter table user_return_visit
    add visit_staff_uuid bigint null comment '回访人员uuid';

alter table user_return_visit
    add visit_staff_name varchar(30) null comment '回访人员姓名';

CREATE TABLE `card_category` (
  `uuid` VARCHAR(36) NOT NULL COMMENT '主键ID',
  `category_name` VARCHAR(50) NOT NULL COMMENT '分类名称',
  `category_type` TINYINT(1) NOT NULL COMMENT '分类类型 0:私教 1:团课 2:小班',
  `priority` INT NOT NULL COMMENT '优先级 越大优先级越高',
  `is_delete` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否删除 0:未删除 1:已删除',
  `create_time` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_uuid` VARCHAR(36) COMMENT '创建人',
  `update_uuid` VARCHAR(36) COMMENT '更新人',
  PRIMARY KEY (`uuid`),
  INDEX `idx_category_type_category_name` (`category_type`, `category_name`),
  INDEX `idx_category_name` (`category_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='会员卡分类表';

alter table card
    add card_category_uuid bigint null comment '会员卡分类uuid card_category#uuid';

### 总后台 新增菜单

INSERT INTO menus (uuid, company_uuid, name, parent_uuid, sort, create_time, update_time, url, type, classes)
VALUES ('5aeecbdf7b6747889069efa7fa7b7f58', 846782090753224704, '会员卡分类', '9ca04e9509fe11ecbf1c00163e0434b9', 2,
        DEFAULT, DEFAULT, '/chain-manage/vip-card-classify', 1, DEFAULT);

INSERT INTO menus (uuid, company_uuid, name, parent_uuid, sort, create_time, update_time, url, type, classes)
VALUES ('4a14337444e8417eb1b093951000f7f8', 846782090753224704, '新增', '5aeecbdf7b6747889069efa7fa7b7f58', 1, DEFAULT,
        DEFAULT, DEFAULT, 1, DEFAULT);

INSERT INTO menus (uuid, company_uuid, name, parent_uuid, sort, create_time, update_time, url, type, classes)
VALUES ('1e4839f963c444cea2ee87ff3465a0df', 846782090753224704, '详情', '5aeecbdf7b6747889069efa7fa7b7f58', 2, DEFAULT,
        DEFAULT, DEFAULT, 1, DEFAULT);

INSERT INTO menus (uuid, company_uuid, name, parent_uuid, sort, create_time, update_time, url, type, classes)
VALUES ('818a472d9f2b42b7b22286a5c93484e8', 846782090753224704, '编辑', '5aeecbdf7b6747889069efa7fa7b7f58', 3, DEFAULT,
        DEFAULT, DEFAULT, 1, DEFAULT);

INSERT INTO menus (uuid, company_uuid, name, parent_uuid, sort, create_time, update_time, url, type, classes)
VALUES ('5e2d0247aac540f5988eb186aaa3313d', 846782090753224704, '删除', '5aeecbdf7b6747889069efa7fa7b7f58', 4, DEFAULT,
        DEFAULT, DEFAULT, 1, DEFAULT);


INSERT INTO group_menus (menu_uuid, group_uuid, create_time, update_time)
VALUES ('1e4839f963c444cea2ee87ff3465a0df', '3', DEFAULT, DEFAULT);

INSERT INTO group_menus (menu_uuid, group_uuid, create_time, update_time)
VALUES ('4a14337444e8417eb1b093951000f7f8', '3', DEFAULT, DEFAULT);

INSERT INTO group_menus (menu_uuid, group_uuid, create_time, update_time)
VALUES ('5aeecbdf7b6747889069efa7fa7b7f58', '3', DEFAULT, DEFAULT);

INSERT INTO group_menus (menu_uuid, group_uuid, create_time, update_time)
VALUES ('5e2d0247aac540f5988eb186aaa3313d', '3', DEFAULT, DEFAULT);

INSERT INTO group_menus (menu_uuid, group_uuid, create_time, update_time)
VALUES ('818a472d9f2b42b7b22286a5c93484e8', '3', DEFAULT, DEFAULT);

